﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Calendar;

namespace CalendarTransitionExample
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
		}

        private void theCalendar_DisplayModeChanged(object sender, Telerik.Windows.Controls.Calendar.CalendarModeChangedEventArgs e)
        {
            var buttons = (sender as RadCalendar).ChildrenOfType<Button>();
            var headerButton = buttons.FirstOrDefault(x => x.Name == "Header");
            if (e.NewMode == DisplayMode.YearView)
            {
                Dispatcher.BeginInvoke(new Action(() =>
                {
                    	headerButton.IsEnabled = false;
                }));
            }

        }
	}
}